madshi bug tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000132madVRbugpublic2013-11-10 21:382014-04-02 16:23
Reporter6233638 
Assigned Tomadshi 
PrioritynormalSeverityminorReproducibilitysometimes
StatusclosedResolutionfixed 
Platformx64OSWindows 8.1 ProOS Version6.3 (Build 9600)
Summary0000132: Image corruption when switching to/from fullscreen
DescriptionThere is often image corruption when switching to/from fullscreen view.
This is typically black outlines around objects, but may be completely discolored.
Steps To Reproduce1. Load a 3DLUT using "calibrate this display by using yCMS"
2. Enable display mode switching:
 a. When media player goes fullscreen
 b. Restore when media player leaves fullscreen.
3. Play a video which requires the display mode to switch.
4. Pause the video (easier to spot)
5. Switch to/from fullscreen mode while paused.
TagsNo tags attached.
madVR Version0.86.11
Media Player (with version info)JRiver Media Center 19.0.73
Splitter (with version info)LAV Splitter 0.59.1
Decoder (with version info)LAV Video 0.59.1
DecodingSoftware
Deinterlacingnone (progressive)
DXVA2 Scaling Activeno
Aero / Desktop CompositionOn
Problem occurs with modewindowed mode
GPU ManufacturerNVidia
GPU ModelGTX 570
GPU Driver Version331.65 WHQL
Attached Filesjpg file icon corruption.jpg [^] (651,048 bytes) 2014-02-28 20:37

- Relationships

-  Notes
(0000375)
madshi (administrator)
2014-02-27 11:21

Does this only occur if you use a 3dlut? Can you post a screenshot, please? And could you please double check whether this also occurs with MPC-HC? Thx.
(0000390)
6233638 (reporter)
2014-02-28 20:37
edited on: 2014-02-28 20:53

Yes, this only occurs if I use a 3DLUT.
It happens very frequently in JRiver MC.
In MPC-HC, 90% of the time I just have a black screen after making the video fullscreen. 10% of the time the image is corrupted.
 
Edit: This disappears after a second or two of playback after switching, so it is a minor issue.
It was a problem for me when I was trying to grab fullscreen images of upscaled video. (rather than native resolution screenshots)

(0000403)
James Freeman (reporter)
2014-03-02 20:21
edited on: 2014-03-02 20:38

I wanted to add that when the OSD is active, this does not occur (because it refreshes the screen).
Or, when the image is refreshed with the volume control (mouse wheel) the image goes back to normal.
This is when paused.

In playback,
After several time going fullscreen and back, the image turns black and MPC-HC becomes paused.
Then after clicking Play many time (it stuck on pause) the screen shows MadVR errors in Red.

Image:
http://www.mediafire.com/convkey/a172/x9el4bc5bav8a6efg.jpg [^]

(0000563)
madshi (administrator)
2014-04-02 16:23

Should be fixed in v0.87.9. I hope there will be no side effects, we'll have to wait and see on that one.

- Issue History
Date Modified Username Field Change
2013-11-10 21:38 6233638 New Issue
2014-02-27 11:21 madshi Note Added: 0000375
2014-02-27 11:21 madshi Assigned To => madshi
2014-02-27 11:21 madshi Status new => feedback
2014-02-28 20:37 6233638 Note Added: 0000390
2014-02-28 20:37 6233638 Status feedback => assigned
2014-02-28 20:37 6233638 File Added: corruption.jpg
2014-02-28 20:53 6233638 Note Edited: 0000390 View Revisions
2014-03-02 20:21 James Freeman Note Added: 0000403
2014-03-02 20:22 James Freeman Note Edited: 0000403 View Revisions
2014-03-02 20:33 James Freeman Note Edited: 0000403 View Revisions
2014-03-02 20:33 James Freeman Note Edited: 0000403 View Revisions
2014-03-02 20:38 James Freeman Note Edited: 0000403 View Revisions
2014-04-02 16:23 madshi Note Added: 0000563
2014-04-02 16:23 madshi Status assigned => closed
2014-04-02 16:23 madshi Resolution open => fixed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker